Last modified: 2014-04-08 06:09:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46235 - ku.wikipedia: Alphabetical order in the categories
ku.wikipedia: Alphabetical order in the categories
Status: NEW
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://ku.wikipedia.org/wiki/Destp%C3...
: i18n, upstream
Depends on:
Blocks: 30673 collations
  Show dependency treegraph
 
Reported: 2013-03-17 00:41 UTC by ghybu.w
Modified: 2014-04-08 06:09 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description ghybu.w 2013-03-17 00:41:23 UTC
Hello. Is it possible to change  alphabetical order in the categories for all Kurdish projects (ku.wikipedia, ku.wiktionary, ku.wikiquote and ku.wikibooks)?

===============================================================================
Kurdish alphabet (Kurmanci) uses Latin letters (31 letters).Alphabetical order:

Aa · Bb · Cc · Çç · Dd · Ee · Êê · Ff · Gg · Hh · Ii · Îî · Jj · Kk · Ll · Mm · Nn · Oo · Pp · Qq · Rr · Ss · Şş · Tt · Uu · Ûû · Vv · Ww · Xx · Yy · Zz

26 letters like the English language + 5 diacritical letters (Çç, Êê, Îî, Şş, Ûû)

http://en.wikipedia.org/wiki/Kurdish_alphabets#Hawar_alphabet
===============================================================================

The problem is that the diacritic letters (Çç, Êê, Îî, Şş, Ûû) do not follow the Kurdish alphabetical order (see above) in the categories: they are placed at the end.
For example here (Ç, Î, Û placed at the end): http://ku.wikipedia.org/wiki/Kategor%C3%AE:Dewlet%C3%AAn_Asyay%C3%AA

More generally, all the classifications can it be done by Kurdish alphabetical order? Can we do something?

Sorry if I'm not at the right place but I do not know who else  to ask.
Thank you in advance.
Comment 1 Bawolff (Brian Wolff) 2013-03-17 03:20:17 UTC
This is the right place.

----

At first glance I didnt see kurdish on the list of supported collations for icu that I found on google, which would be a problem. But maybe i just missed it. Will have to investigate further.
Comment 2 Bartosz Dziewoński 2013-03-17 11:14:51 UTC
Yup, it seems to be unsupported, trying to use uca-ku collation gives the same results as if it was uca-default: http://users.v-lo.krakow.pl/~matmarex/testwiki-ku/index.php?title=Kategor%C3%AE:Test

(So no separete headings for the letters with diacritic marks, and e.g. C and Ç are considered the same letter when sorting - this isn't visible on that page right now, since if there's a conflict, the diacritical version is placed after the default one.)

ghybu, does that seems like an improvement over the current state?
Comment 3 ghybu.w 2013-03-17 13:43:53 UTC
No, I don't see any improvement.
Comment 4 Bartosz Dziewoński 2013-03-17 13:52:11 UTC
I mean, is the category sorting on the testwiki I linked better than the one currently visible on ku.wikipedia?

(Also, feel free to create or modify pages there to test the behavior.)
Comment 5 ghybu.w 2013-03-17 16:06:43 UTC
Yes, it is much better, this is what I wanted. But, it's necessary to also have sections (Ç, Ê, Î, Ş, Û); for example to use this type of template: http://ku.wikipedia.org/wiki/%C5%9Eablon:TOC_Kategor%C3%AE
Comment 6 Bawolff (Brian Wolff) 2013-03-17 16:48:05 UTC
(In reply to comment #5)
> Yes, it is much better, this is what I wanted. But, it's necessary to also
> have
> sections (Ç, Ê, Î, Ş, Û); for example to use this type of template:
> http://ku.wikipedia.org/wiki/%C5%9Eablon:TOC_Kategor%C3%AE

In the test wiki linked above, the accents are secondary differences (used as tie breakers) where in kurdish they should be considered different letters. (Look at the section for c in that link where I just added more examples). Thus it can't have separate section headers as they arent sorted separately

Comment 3 is asking if even though the behaviour is wrong, is it more or less wrong than the current behaviour on ku wikis.
Comment 7 ghybu.w 2013-03-17 17:16:19 UTC
I have also done test, the behavior is not good. The current version of ku.wiki is better. I also think separate sections are required. Thank you for trying!
Comment 8 ghybu.w 2013-07-25 09:54:49 UTC
A solution was found here: bug 30287 an bug 50311

Can we do the same?
Comment 9 Bawolff (Brian Wolff) 2013-07-25 17:16:29 UTC
(In reply to comment #8)
> A solution was found here: bug 30287 an bug 50311
> 
> Can we do the same?

Not really. fa is in the list of supported collations by cldr at http://www.unicode.org/repos/cldr/trunk/common/collation/ . ku is not. I think the next step in this bug would be get cldr to add ku as a collation ( http://cldr.unicode.org/index/cldr-spec/collation-guidelines )

[Or i suppose making php's intl bindings to the icu library suck a little less so we could make our own collation]
Comment 10 ghybu.w 2013-07-31 13:21:09 UTC
(In reply to comment #0)
Although little used and not included in the alphabet, the letters "Ḧḧ" and "Ẍẍ" must be integrated in sorting, now we have (26 letters like the English language + 7 diacritical letters):

Aa · Bb · Cc · Çç · Dd · Ee · Êê · Ff · Gg · Hh · Ḧḧ · Ii · Îî · Jj · Kk · Ll · Mm · Nn · Oo · Pp · Qq · Rr · Ss · Şş · Tt · Uu · Ûû · Vv · Ww · Xx · Ẍẍ  · Yy · Zz

(In reply to comment #9)
I made a request for Kurdish alphabet.
Comment 11 ghybu.w 2014-04-08 05:52:37 UTC
I made ​​a request for the CLDR, it seems that the problem is  fixed: http://unicode.org/cldr/trac/ticket/6527
Comment 12 Bawolff (Brian Wolff) 2014-04-08 06:09:21 UTC
(In reply to ghybu.w from comment #11)
> I made ​​a request for the CLDR, it seems that the problem is  fixed:
> http://unicode.org/cldr/trac/ticket/6527

Cool, thanks. (For reference, upstream revisions are http://unicode.org/cldr/trac/changeset/9765 http://unicode.org/cldr/trac/changeset/9761).

So open question: Does php intl's extension use ICU data in the "seed" directory

If so, this is now pending us upgrading to CLDR 25, which will happen at ?? (Probably not for a little while, not sure when)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links